Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 19-09-2017 16:13:53

araneus
Membre
Distrib. : debian stretch
(G)UI : gnome 3
Inscription : 05-02-2014

utiliser des paquets raspbian

Bonjour

J'ai besoin d'utiliser scratch 2.0. Il est disponible dans les dépôts de raspbian, mais pas dans ceux de debian. Est-il possible de piocher dans ceux de raspbian ?

Hors ligne

#2 19-09-2017 17:10:46

dejieres
Membre
Lieu : Moselle
Distrib. : Jessie 64 bits
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome 3.14+3 amd64
Inscription : 07-02-2017

Re : utiliser des paquets raspbian

Tu ne précises pas ta configuration, mais, si je ne m'abuse, raspbian est compilée pour des processeurs ARM.

Si ton poste utilise un processeur de la famille x86, ça va trop le faire pour des paquets binaires, je pense (peut-être pas pour scratch lui-même, mais pour squeak).

Hors ligne

#3 21-09-2017 08:43:11

araneus
Membre
Distrib. : debian stretch
(G)UI : gnome 3
Inscription : 05-02-2014

Re : utiliser des paquets raspbian

Effectivement les bécanes utilisées sont en x86 ou en amd64.

Donc si j'ai bien compris squeak est l'équivalent de adobe air".

je vous résume pour ceux qui n'utilisent pas scratch.

La version 2.0 est bien plus aboutie que la 1.4 (disponible sur debian). De plus, et c'est là que le bât blesse, les fichiers faits avec l'une ne sont pas lisibles avec l'autre ! D'où l'intérêt de tous travailler en 2.0, qui est installée ailleurs dans le collège où je travaille.
La 2.0 utilise adobe air, j'avais essayé l'an dernier sous debian : ouille, aïe, ouille.
La 2.0 est depuis peu dispo dans les dépôts de raspbian, les développeurs semblant avoir trouvé une parade pour ce fameux adobe air. Du coup, j'aimerais bien en faire profiter mes élèves ...

Voila

Hors ligne

#4 21-09-2017 08:52:56

dejieres
Membre
Lieu : Moselle
Distrib. : Jessie 64 bits
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome 3.14+3 amd64
Inscription : 07-02-2017

Re : utiliser des paquets raspbian

Oui, d'après ce que j'ai compris, squeak est une machine virtuelle Smalltalk dans laquelle Scratch s'exécute.

Maintenant, squeak est en version 4.10 dans stretch, comme dans raspbian. Les espoirs sont donc permis. Tu ne risques pas grand chose à récupérer le paquet Scratch de raspbian et à tenter de l'installer.

Hors ligne

#5 21-09-2017 10:55:00

trentanel
Membre
Lieu : Comtat Venaissin
Distrib. : Archlinux DFLinux
(G)UI : Gnome-shell XFCE
Inscription : 17-09-2016

Re : utiliser des paquets raspbian

Bonjour,
Pour installer Scratch 2.0 :
https://cyrille-borne.com/bozon/?f=15992b2a6216f2

Hors ligne

#6 22-09-2017 09:13:00

araneus
Membre
Distrib. : debian stretch
(G)UI : gnome 3
Inscription : 05-02-2014

Re : utiliser des paquets raspbian

Merci trentanel.

Par contre la version de cyrille borne comporte le défaut d'utiliser adobe air ... D'où mon envie d'essayer la méthode "raspbian"...

Hors ligne

Pied de page des forums